<?php
/*
 * Helper function to return the theme option value. If no value has been saved, it returns $default.
 * Needed because options are saved as serialized strings.
 *
 * This code allows the theme to work without errors if the Options Framework plugin has been disabled.
 */
if ( !function_exists( 'of_get_option' ) ) {
function of_get_option($name, $default = false) {
    $optionsframework_settings = get_option('optionsframework');
    // Gets the unique option id
    $option_name = $optionsframework_settings['id'];
    if ( get_option($option_name) ) {
        $options = get_option($option_name);
    }
    if ( isset($options[$name]) ) {
        return $options[$name];
    } else {
        return $default;
    }
}
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0" />
<title><?php if (is_home () ) { bloginfo('name'); echo " | "; bloginfo('description');
} elseif (is_category() ) {single_cat_title(); echo " | "; bloginfo('name');
} elseif (is_single() || is_page() ) {single_post_title(); echo " | "; bloginfo('name');
} elseif (is_search() ) {bloginfo('name'); ?> | <?php echo _e("Search Results", 'Greenxi');?>: <?php echo esc_html($s);
} elseif (is_tag() ) {bloginfo('name'); ?>, Tag | <?php echo single_tag_title();
} else { wp_title('',true); }?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <!-- this product is released under General Public License. You can find details about the license at http://www.opensource.org/licenses/gpl-license.php -->
    <!--[if IE 6]>
        <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie6.css" type="text/css" media="screen" />
        <![endif]-->
    <!--[if IE 7]>
        <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie7.css" type="text/css" media="screen" />
        <![endif]-->
 <style type='text/css'>
.mybgthumbnail {
border:1px solid #dedede;
padding:<?php echo of_get_option('text_padding_thumb'); ?>px;
<?php
$background = of_get_option('background_thumb');
if ($background) {
if ($background['image']) {
 echo 'background: '.$background['color'].' '.$background['repeat'].' '.$background['position'].' '.$background['attachment'].' url('.$background['image']. ');';
} else {
echo 'background: '.$background['color'].';';
}
}
?>
}
#header { <?php $background = of_get_option('background');
if ($background) {
if ($background['image']) {
echo 'background: '.$background['color'].' '.$background['repeat'].' '.$background['position'].' '.$background['attachment'].' url('.$background['image']. ');';
} else {
echo 'background: '.$background['color'].';';
}
}
?>
}
</style>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> xml:lang="en" dir="ltr" lang="en">

<div class="bgmenu1">
<div class="bgmenu2">
</div></div>
<div class="bgban">

       <ul id="menu"><!-- start menu -->
        <?php $multicheck = of_get_option('my_multicheck', 'no entry' );
            if (isset($multicheck['one'])) {
            	if($multicheck['one'] === "1") {?>
             <li><a title="<?php bloginfo('name'); ?>" href="<?php echo home_url(); ?>/">Home</a></li>
           <?php } } ?>
           <?php if(of_get_option('text_mini5', 'no entry') !== '') {
           wp_list_pages('include='.of_get_option('text_mini5', 'no entry').'&title_li=');
           } ?>
            <?php if (isset($multicheck['two'])) {
            	if($multicheck['two'] === "1"){?>
             <li><?php wp_loginout(); ?></li>
           <?php }} ?>
            <?php if (isset($multicheck['three'])) {
            	if($multicheck['three'] === "1") {?>
              <?php wp_register('<li>', '</li>'); ?>
           <?php } } ?>
        </ul><!--  end menu  -->
</div>
    <div id="container">
    <!-- begin header div -->
       <div id="header">
     <?php
if(of_get_option('radio5') === false) {
     get_template_part('mysearchform');
}
     ?>
        <div id="logo"> <!-- begin title, description, logo  -->
         <?php if(of_get_option('radio', 'no entry') === "one") { ?>
          <?php if ( is_single() ) {?><h2>
          <a title="<?php bloginfo('name'); ?>" href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h2><br />
          <?php } else { ?><h1>
              <a title="<?php bloginfo('name'); ?>" href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h1><br />
          <?php } ?>
          <p>"<?php bloginfo('description'); ?>...."</p>
          <?php } elseif (of_get_option('radio', 'no entry') === "two") { ?>
<a title="<?php echo of_get_option('text2', 'no entry'); ?>" href="<?php echo of_get_option('text1', 'no entry'); ?>">
<img style="margin-top:<?php echo of_get_option('text_mini3', 'no entry'); ?>px; margin-left:<?php echo of_get_option('text_mini4', 'no entry'); ?>px;" src="<?php echo of_get_option('uploader', 'no entry'); ?>" width="<?php echo of_get_option('text_mini1', 'no entry'); ?>" height="<?php echo of_get_option('text_mini2', 'no entry'); ?>" alt="<?php echo of_get_option('text2', 'no entry'); ?>" />
</a>
<?php } ?>
      </div>
        <!-- end title, description, and logo -->
      </div>  <!-- end header div -->

      <div id="container2">
      <div id="container1">