<?php
/**
* A unique identifier is defined to store the options in the database and reference them from the theme.
* By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
* If the identifier changes, it'll appear as if the options have been reset.
*/
?>
<!-- Style Thumbnail -->
<style type='text/css'>
.mybgthumbnail {
border:1px solid #dedede;
padding:<?php echo of_get_option('text_padding_thumb');?>px;
<?php
$background = of_get_option('background_thumb');
if ($background) {
if ($background['image']) {
echo 'background: '.$background['color'].' '.$background['repeat'].' '.$background['position'].' '.$background['attachment'].' url('.$background['image']. ');';
} else {
echo 'background: '.$background['color'].';';
}
}
?>
}
</style>
<?php
global $greenxi_options, $options;
$greenxi_options = $options;

function optionsframework_option_name() {
global $greenxi_optionsframework_settings, $optionsframework_settings;

$greenxi_optionsframework_settings = $optionsframework_settings;

// This gets the theme name from the stylesheet
$greenxi_themename = get_option( 'stylesheet' );
$greenxi_themename = preg_replace("/\W/", "_", strtolower($greenxi_themename) );
$greenxi_optionsframework_settings = get_option( 'optionsframework' );
$greenxi_optionsframework_settings['id'] = $greenxi_themename;
update_option( 'optionsframework', $greenxi_optionsframework_settings );
}
/**
* Defines an array of options that will be used to generate the settings page and be saved in the database.
* When creating the 'id' fields, make sure to use all lowercase and no spaces.
*
* If you are making your theme translatable, you should replace 'Greenxi'
* with the actual text domain for your theme. Read more:
* http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/
function optionsframework_options() {
$greenxi_yourdomainurloption = home_url();
$greenxi_yoursitetitle = get_bloginfo('name');

$greenxi_donatepalm = '<div style="margin:0;padding:0;widht:50%;">
<span style="line-height:15px;">
<a target="_blank" href="https://plus.google.com/u/0/102318524143554174846/about"><strong>Greenxi theme</strong></a> created by <a href="mailto:colixio@gmail.com">Colixio</a> under the <a target="_blank" href="http://www.gnu.org/licenses/gpl-2.0.html">GPL License</a> (<a target="_blank" href="http://en.wikipedia.org/wiki/GNU_General_Public_License">What is the GPL</a>?).
Please support the developer, consider making a donation. Thanks!.<br /><a target="_blank" href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=VXVAJPTLNPENQ"><img src="'.get_template_directory_uri() . '/images/donate-button.gif" width="62" height="31" alt="" /></a>
</span>
</div>';
$greenxi_test_array = array(
'one' => __('Check this if you want display the site title and description into header', 'Greenxi'),
'two' => __('Check this if you want upload and display a image configurable (must useful to logo) into header', 'Greenxi'),
);
$greenxi_position_thumbnail_array = array(
'one' => __('left', 'Greenxi'),
'two' => __('right', 'Greenxi'),
);
// Multicheck Array
$greenxi_multicheck_array = array(
'one' => __('home button (enabled by default)', 'Greenxi'),
'two' => __('login button', 'Greenxi'),
'three' => __('register button', 'Greenxi'),
);
// Multicheck Defaults
$greenxi_multicheck_defaults = array(
'one' => '1'
);
// Background Defaults
$greenxi_background_defaults = array(
'color' => '#F3D550',
'image' => get_template_directory_uri() . '/images/background-header.png',
'repeat' => 'repeat',
'position' => 'top left',
'attachment'=>'scroll' );
$greenxi_thumbnail_background_defaults = array(
'color' => '#FFFFFF',
'image' => get_template_directory_uri() . '/images/bgthumb.png',
'repeat' => 'repeat',
'position' => 'top left',
'attachment'=>'scroll' );
$greenxi_options = array();
$greenxi_options[] = array(
'name' => __('Header Settings', 'Greenxi'),
'type' => 'heading');
$greenxi_options[] = array(
'name' => __('Setting Title And Description Or Custom Image Header', 'Greenxi'),
'desc' => __('check by default', 'Greenxi'),
'id' => 'radio',
'std' => 'one',
'type' => 'radio',
'options' => $greenxi_test_array);
$greenxi_options[] = array(
'name' => __('Setting A Custom Image Header', 'Greenxi'),
'desc' => __('Upload your image', 'Greenxi'),
'id' => 'uploader',
'class' => 'hidden',
'type' => 'upload');
$greenxi_options[] = array(
'name' => __('Image Width', 'Greenxi'),
'desc' => __('width size.', 'Greenxi'),
'id' => 'text_mini1',
'std' => 'Default',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Image Height', 'Greenxi'),
'desc' => __('Most useful if your image is 180 pixel in height, like the header.', 'Greenxi'),
'id' => 'text_mini2',
'std' => 'Default',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Image Margin Top', 'Greenxi'),
'desc' => __('margin top pixel position.', 'Greenxi'),
'id' => 'text_mini3',
'std' => '0',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Image Margin Left', 'Greenxi'),
'desc' => __('margin left pixel position.', 'Greenxi'),
'id' => 'text_mini4',
'std' => '0',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Setting Image Link', 'Greenxi'),
'desc' => __('Your domain url.', 'Greenxi'),
'id' => 'text1',
'std' => $greenxi_yourdomainurloption,
'class' => 'hidden',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Setting Image ALT Tag', 'Greenxi'),
'desc' => __('ALT tag image and TITLE tag.', 'Greenxi'),
'id' => 'text2',
'std' => 'Home '.$greenxi_yoursitetitle,
'class' => 'hidden',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Setting Background Header', 'Greenxi'),
'desc' => __('Change the default background header.', 'Greenxi'),
'id' => 'background',
'std' => $greenxi_background_defaults,
'type' => 'background' );
$greenxi_options[] = array(
'name' => __('Remove Search Box', 'Greenxi'),
'desc' => __('Check this if you want remove search box in header.', 'Greenxi'),
'id' => 'radio5',
'type' => 'checkbox');
$greenxi_options[] = array(
'name' => __('Header Menu Settings', 'Greenxi'),
'desc' => __('Remember the "Register" button is not offered if the Administration > Settings > General > Membership: Anyone can register box is not checked.', 'Greenxi'),
'id' => 'my_multicheck',
'std' => $greenxi_multicheck_defaults, // These items get checked by default
'type' => 'multicheck',
'options' => $greenxi_multicheck_array);
$greenxi_options[] = array(
'name' => __('Add Pages ID', 'Greenxi'),
'desc' => __('Insert your pages ID separated by comma, if you want showing in menu (e.g. 2,45,32).', 'Greenxi'),
'id' => 'text_mini5',
'std' => '',
'class' => 'mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('', 'Greenxi'),
'desc' => __('<div style="margin:0;padding:0;widht:50%;">
<span style="line-height:15px;">
<a target="_blank" href="https://plus.google.com/u/0/102318524143554174846/about"><strong>Greenxi theme</strong></a> created by <a href="mailto:colixio@gmail.com">Colixio</a> under the <a target="_blank" href="http://www.gnu.org/licenses/gpl-2.0.html">GPL License</a> (<a target="_blank" href="http://en.wikipedia.org/wiki/GNU_General_Public_License">What is the GPL</a>?).
Please support the developer, consider making a donation. Thanks!.<br /><a target="_blank" href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=VXVAJPTLNPENQ"><img src="'.get_template_directory_uri() . '/images/donate-button.gif" width="62" height="31" alt="" /></a>
</span></div>', 'Greenxi'),
'class' => '',
'type' => 'info');
$greenxi_options[] = array(
'name' => __('Content Settings', 'Greenxi'),
'type' => 'heading');
$greenxi_options[] = array(
'name' => __('Display Excerpt And Thumbnail Settings', 'Greenxi'),
'desc' => __('Check this if you want display an excerpt into article in categories, archives, etc... (not in single page) and setting number words to show, also thumbnail (in pages only) view and setting, remember this feature is active only if you have post excerpt enabled and your Wordpress version is 2.9+.', 'Greenxi'),
'id' => 'radio2',
'type' => 'checkbox');
$greenxi_options[] = array(
'name' => __('Number of words in excerpt', 'Greenxi'),
'desc' => __('Number of words to show in excerpt (75 by default).', 'Greenxi'),
'id' => 'text_excerpt',
'std' => '75',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Thumbnail Settings Info', 'Greenxi'),
'desc' => __('<ol>
<li>This is truly important, if you want display a thumbnail into post is necessary when you edit a new post in "Featured Image" remember you set &raquo; "Set featured image".</li>
<li>When setting width and height is most useful if the same to "Thumbnail Size" in <a href='.home_url().'/wp-admin/options-media.php>Media Settings</a>.</li>
</ol>', 'Greenxi'),
'class' => 'hidden',
'type' => 'info');
$greenxi_options[] = array(
'name' => __('Setting Position Thumbnail', 'Greenxi'),
'desc' => __('Set position thubnail into article.', 'Greenxi'),
'id' => 'radio4',
'std' => 'one',
'class' => 'hidden',
'type' => 'radio',
'options' => $greenxi_position_thumbnail_array);
$greenxi_options[] = array(
'name' => __('Setting Background Thumbnail', 'Greenxi'),
'desc' => __('Change the default background thumbnail.', 'Greenxi'),
'id' => 'background_thumb',
'std' => $greenxi_thumbnail_background_defaults,
'class' => 'hidden',
'type' => 'background' );
$greenxi_options[] = array(
'name' => __('Thumbnail Padding', 'Greenxi'),
'desc' => __('Setting thumbnail padding (15px by default).', 'Greenxi'),
'id' => 'text_padding_thumb',
'std' => '15',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Thumbnail Width', 'Greenxi'),
'desc' => __('Setting thumbnail width (150px by default).', 'Greenxi'),
'id' => 'text_width_thumb',
'std' => '150',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Thumbnail Height', 'Greenxi'),
'desc' => __('Setting thumbnail height (150px by default).', 'Greenxi'),
'id' => 'text_height_thumb',
'std' => '150',
'class' => 'hidden mini',
'type' => 'text');
$greenxi_options[] = array(
'name' => __('Thumbnail Preview', 'Greenxi'),
'desc' => __('<a title="preview" href="#">
<img style="margin-bottom:50px;" class="mybgthumbnail" alt="preview" src="'.get_template_directory_uri().'/images/thumbdefault.jpg" width="'.of_get_option('text_width_thumb').'" height="'.of_get_option('text_height_thumb').'" />
</a>.', 'Greenxi'),
'class' => 'hidden',
'type' => 'info');
$greenxi_options[] = array(
'name' => __('', 'Greenxi'),
'desc' => __('<div style="margin:0;padding:0;widht:50%;">
<span style="line-height:15px;">
<a target="_blank" href="https://plus.google.com/u/0/102318524143554174846/about"><strong>Greenxi theme</strong></a> created by <a href="mailto:colixio@gmail.com">Colixio</a> under the <a target="_blank" href="http://www.gnu.org/licenses/gpl-2.0.html">GPL License</a> (<a target="_blank" href="http://en.wikipedia.org/wiki/GNU_General_Public_License">What is the GPL</a>?).
Please support the developer, consider making a donation. Thanks!.<br /><a target="_blank" href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=VXVAJPTLNPENQ"><img src="'.get_template_directory_uri() . '/images/donate-button.gif" width="62" height="31" alt="" /></a>
</span></div>', 'Greenxi'),
'class' => '',
'type' => 'info');
return $greenxi_options;
}
add_action('optionsframework_custom_scripts', 'optionsframework_custom_scripts');
function optionsframework_custom_scripts() { ?>
<script type="text/javascript">
/* <![CDATA[ */
jQuery(document).ready(function($) {
if ($('#greenxi-radio-one:checked').val() !== undefined) {
$('#section-uploader').hide();
$('#section-text_mini1').hide();
$('#section-text_mini2').hide();
$('#section-text_mini3').hide();
$('#section-text_mini4').hide();
$('#section-text1').hide();
$('#section-text2').hide();
}
$('#greenxi-radio-one').click(function() {
$('#section-uploader').fadeToggle(400).hide();
$('#section-text_mini1').fadeToggle(400).hide();
$('#section-text_mini2').fadeToggle(400).hide();
$('#section-text_mini3').fadeToggle(400).hide();
$('#section-text_mini4').fadeToggle(400).hide();
$('#section-text1').fadeToggle(400).hide();
$('#section-text2').fadeToggle(400).hide();
});
$('#greenxi-radio-one').dblclick(function() {
$('#section-uploader').hide().fadeToggle(0);
$('#section-text_mini1').hide().fadeToggle(0);
$('#section-text_mini2').hide().fadeToggle(0);
$('#section-text_mini3').hide().fadeToggle(0);
$('#section-text_mini4').hide().fadeToggle(0);
$('#section-text1').hide().fadeToggle(0);
$('#section-text2').hide().fadeToggle(0);
});
if ($('#greenxi-radio-two:checked').val() !== undefined) {
$('#section-uploader').show();
$('#section-text_mini1').show();
$('#section-text_mini2').show();
$('#section-text_mini3').show();
$('#section-text_mini4').show();
$('#section-text1').show();
$('#section-text2').show();
}
$('#greenxi-radio-two').click(function() {
$('#section-uploader').fadeToggle(400).show();
$('#section-text_mini1').fadeToggle(400).show();
$('#section-text_mini2').fadeToggle(400).show();
$('#section-text_mini3').fadeToggle(400).show();
$('#section-text_mini4').fadeToggle(400).show();
$('#section-text1').fadeToggle(400).show();
$('#section-text2').fadeToggle(400).show();
});
$('#greenxi-radio-two').dblclick(function() {
$('#section-uploader').fadeToggle(400).show();
$('#section-text_mini1').fadeToggle(400).show();
$('#section-text_mini2').fadeToggle(400).show();
$('#section-text_mini3').fadeToggle(400).show();
$('#section-text_mini4').fadeToggle(400).show();
$('#section-text1').fadeToggle(400).show();
$('#section-text2').fadeToggle(400).show();
});
$('#radio2').click(function() {
$('#section-radio4').fadeToggle(400).show();
$('#section-text_excerpt').fadeToggle(400).show();
$('#section-background_thumb').fadeToggle(400).show();
$('#section-text_padding_thumb').fadeToggle(400).show();
$('.section-info').fadeToggle(400).show();
$('#section-text_width_thumb').fadeToggle(400).show();
$('#section-text_height_thumb').fadeToggle(400).show();
});
if ($('#radio2:checked').val() !== undefined) {
$('#section-radio4').show();
$('#section-text_excerpt').show();
$('#section-background_thumb').show();
$('#section-text_padding_thumb').show();
$('.section-info').show();
$('#section-text_width_thumb').show();
$('#section-text_height_thumb').show();;
}
});
/* ]]> */
</script>
<?php
}
